## calibre 5.21.0+dfsg

=== debian/changelog ===
calibre (5.21.0+dfsg-1) experimental; urgency=medium

  * New upstream version 5.21.0+dfsg
  * Update patch queue

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 11 Jun 2021 20:39:17 +0900

calibre (5.20.0+dfsg-3) experimental; urgency=medium

  * Cosmetic fix

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 05 Jun 2021 14:06:42 +0900

calibre (5.20.0+dfsg-2) experimental; urgency=medium

  * Add Lintian override
  * Install manpages with correct language.

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 04 Jun 2021 23:59:53 +0900

calibre (5.20.0+dfsg-1) experimental; urgency=medium

  * New upstream version 5.20.0+dfsg
  * Update patch queue

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 04 Jun 2021 21:06:09 +0900

## calibre 5.22.0+dfsg

=== debian/changelog ===
calibre (5.22.0+dfsg-1) experimental; urgency=medium

  * New upstream version 5.22.0+dfsg
  * Add libstemmer to Build-Depends
  * Update patch queue
  * "src/calibre/utils/ipython.py" recommends IPython
  * Add clean target

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 25 Jun 2021 16:13:43 +0900

=== debian/control ===
Source: calibre
Section: text
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 curl,
 dh-buildinfo,
 dh-python,
 fonts-liberation2,
 imagemagick,
 libboost-dev,
 libchm-dev,
 libegl1-mesa-dev,
 libhunspell-dev,
 libhyphen-dev,
 libicu-dev,
 libjpeg-turbo-progs,
 libjxr-tools,
 libmagickwand-dev,
 libmtdev-dev [linux-any],
 libmtp-dev (>= 1.1.5),
 libpodofo-dev (>= 0.8.2),
 libqt5svg5-dev,
 libsqlite3-dev,
 libstemmer-dev,
 libudev-dev [linux-any],
 libusb-1.0-0-dev,
 optipng,
 poppler-utils (>= 0.85.0),
 pyqt5-dev (>= 5.15.0+dfsg-1+exp1~),
 pyqt5-dev-tools,
 python3,
 python3-apsw,
 python3-bs4,
 python3-chardet,
 python3-chm,
 python3-css-parser,
 python3-cssselect,
 python3-cssutils,
 python3-dateutil,
 python3-dbus,
 python3-dev,
 python3-feedparser,
 python3-html2text,
 python3-html5-parser,
 python3-html5lib,
 python3-ipython,
 python3-lxml,
 python3-markdown,
 python3-mechanize,
 python3-msgpack,
 python3-netifaces,
 python3-openssl,
 python3-pil,
 python3-pkg-resources,
 python3-psutil,
 python3-py7zr,
 python3-pygments,
 python3-pyparsing,
 python3-pyqt5,
 python3-pyqt5.qtsvg,
 python3-pyqt5.qtwebengine (>= 5.12.1-4+b1),
 python3-pyqtbuild,
 python3-regex,
 python3-routes,
 python3-setuptools,
 python3-sipbuild,
 python3-speechd,
 python3-zeroconf,
 qt5-image-formats-plugins,
 qt5-qmake,
 qtbase5-dev (>= 5.12),
 qtbase5-private-dev,
 qtchooser,
 sip-tools,
 xauth,
 xdg-utils,
 xvfb,
Maintainer: Calibre maintainer team <team+calibre@tracker.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
 Martin Pitt <mpitt@debian.org>,
 Nicholas D Steeves <nsteeves@gmail.com>,
 YOKOTA Hiroshi <yokota.hgml@gmail.com>
Standards-Version: 4.5.1
Homepage: https://calibre-ebook.com
Vcs-Browser: https://github.com/debian-calibre/calibre
Vcs-Git: https://github.com/debian-calibre/calibre.git -b experimental
Rules-Requires-Root: no
X-Python3-Version: 3.9

Package: calibre
Architecture: all
Pre-Depends: dpkg (>= 1.17.14)
Depends: calibre-bin (>= ${source:Version}), ${misc:Depends},
 fonts-liberation2,
 imagemagick,
 libjpeg-turbo-progs,
 libjxr-tools,
 optipng,
 poppler-utils (>= 0.85.0),
 ${python3:Depends},
 python3-apsw,
 python3-bs4,
 python3-chardet,
 python3-chm,
 python3-css-parser,
 python3-cssselect,
 python3-cssutils,
 python3-dateutil,
 python3-dbus,
 python3-feedparser,
 python3-html2text,
 python3-html5-parser,
 python3-html5lib,
 python3-lxml,
 python3-markdown,
 python3-mechanize,
 python3-msgpack,
 python3-netifaces,
 python3-pil,
 python3-pkg-resources,
 python3-py7zr,
 python3-pygments,
 python3-pyparsing,
 python3-pyqt5 (>= ${pyqt:Version}),
 python3-pyqt5.qtsvg,
 python3-pyqt5.qtwebengine (>= 5.12.1-4+b1),
 python3-pyqt5.sip,
 python3-regex,
 python3-routes,
 python3-speechd,
 python3-zeroconf,
 xdg-utils,
Recommends: python3-dnspython (>= 1.6.0), udisks2,
 python3-ipython,
Suggests: python3-openssl, python3-unrardll
Description: powerful and easy to use e-book manager
 Calibre is a complete e-library solution. It includes library management,
 format conversion, news feeds to e-book conversion, e-book viewer and editor,
 and e-book reader sync features.
 .
 Calibre is primarily an e-book cataloging program. It manages your e-book
 collection for you. It is designed around the concept of the logical book,
 i.e. a single entry in the database that may correspond to e-books in several
 formats. It also supports conversion to and from a dozen different e-book
 formats.
 .
 Calibre supports almost every single e-Reader (e.g., Kindle, Kobo, Nook) and
 is compatible with more devices with every update. Calibre can transfer your
 e-books from one device to another in seconds, wirelessly or with a cable.
 It will send the best file format for your device converting it if
 needed, automatically.
 .
 Calibre can automatically fetch news from a number of websites/RSS feeds,
 format the news into a e-book and upload to a connected device.
 .
 Calibre has also a built-in e-book viewer that can display all the major e-book
 formats.

Package: calibre-bin
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
Recommends: calibre (>= ${source:Version}),
 qt5-image-formats-plugins,
Description: powerful and easy to use e-book manager (binary plugins)
 Calibre is a complete e-library solution. It includes library management,
 format conversion, news feeds to e-book conversion, e-book viewer and editor,
 and e-book reader sync features.
 .
 This package contains the compiled architecture dependent plugins, the main
 package is called 'calibre'.

=== debian/tests/control ===
# -*- mode: conf -*-

# smoke test
Features: test-name=smoke-calibre
Test-Command: calibre --version
Restrictions: superficial

Features: test-name=smoke-ebook-convert
Test-Command: ebook-convert --version
Restrictions: superficial

Features: test-name=smoke-ebook-meta
Test-Command: ebook-meta --version
Restrictions: superficial

Features: test-name=smoke-ebook-polish
Test-Command: ebook-polish --version
Restrictions: superficial

# Format conversion test
Tests: convert-md-epub.sh
Depends: @, epubcheck, default-jre

## calibre 5.22.1+dfsg

=== debian/changelog ===
calibre (5.22.1+dfsg-1) experimental; urgency=medium

  * New upstream version 5.22.1+dfsg
  * Update patch queue
  * Add patch comment

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 26 Jun 2021 09:10:35 +0900

calibre (5.22.0+dfsg-2) experimental; urgency=medium

  * Use <stdint.h> to support MIPS64

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 26 Jun 2021 03:26:35 +0900

## calibre 5.23.0+dfsg

=== debian/changelog ===
calibre (5.23.0+dfsg-1) experimental; urgency=medium

  * Add more comment about <stdint.h> fix
  * New upstream version 5.23.0+dfsg
  * Replace from dbus-python to Jeepney
  * Update patch queue
  * Require newer python-zeroconf module (>= 0.32.1)
  * Remove cURL download cache when in clean target.
    Calibre builder saves downloaded file when uses cURL to get MathJax code.

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 10 Jul 2021 04:21:07 +0900

=== debian/control ===
--- 
+++ 
@@ -38,13 +38,13 @@
  python3-cssselect,
  python3-cssutils,
  python3-dateutil,
- python3-dbus,
  python3-dev,
  python3-feedparser,
  python3-html2text,
  python3-html5-parser,
  python3-html5lib,
  python3-ipython,
+ python3-jeepney,
  python3-lxml,
  python3-markdown,
  python3-mechanize,
@@ -66,7 +66,7 @@
  python3-setuptools,
  python3-sipbuild,
  python3-speechd,
- python3-zeroconf,
+ python3-zeroconf (>= 0.32.1),
  qt5-image-formats-plugins,
  qt5-qmake,
  qtbase5-dev (>= 5.12),
@@ -107,11 +107,11 @@
  python3-cssselect,
  python3-cssutils,
  python3-dateutil,
- python3-dbus,
  python3-feedparser,
  python3-html2text,
  python3-html5-parser,
  python3-html5lib,
+ python3-jeepney,
  python3-lxml,
  python3-markdown,
  python3-mechanize,
@@ -129,7 +129,7 @@
  python3-regex,
  python3-routes,
  python3-speechd,
- python3-zeroconf,
+ python3-zeroconf (>= 0.32.1),
  xdg-utils,
 Recommends: python3-dnspython (>= 1.6.0), udisks2,
  python3-ipython,

## calibre 5.24.0+dfsg

=== debian/changelog ===
calibre (5.24.0+dfsg-1) experimental; urgency=medium

  * Add MIME type fix for .xcf files
  * New upstream version 5.24.0+dfsg
  * Update patch queue

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 30 Jul 2021 14:00:21 +0900

calibre (5.23.0+dfsg-2) experimental; urgency=medium

  * Drop monkey patch to restore older zeroconf module support

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 13 Jul 2021 18:57:17 +0900

## calibre 5.25.0+dfsg

=== debian/changelog ===
calibre (5.25.0+dfsg-1) experimental; urgency=medium

  * New upstream version 5.25.0+dfsg
  * Update patch queue

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 13 Aug 2021 20:27:44 +0900

=== debian/control ===
--- 
+++ 
@@ -66,7 +66,7 @@
  python3-setuptools,
  python3-sipbuild,
  python3-speechd,
- python3-zeroconf (>= 0.32.1),
+ python3-zeroconf,
  qt5-image-formats-plugins,
  qt5-qmake,
  qtbase5-dev (>= 5.12),
@@ -129,7 +129,7 @@
  python3-regex,
  python3-routes,
  python3-speechd,
- python3-zeroconf (>= 0.32.1),
+ python3-zeroconf,
  xdg-utils,
 Recommends: python3-dnspython (>= 1.6.0), udisks2,
  python3-ipython,

=== debian/rules ===
#!/usr/bin/make -f

# building with python3
PYTHON=$(shell py3versions -r 3.9)
PYTHON_PATH=$(shell which $(PYTHON))
SETUP=$(PYTHON) setup.py

# build options
export DEB_BUILD_MAINT_OPTIONS=hardening=+all reproducible=+all


# Do all test by default
TEST_FLAGS =

# Disable some test when in package builder environment
ifdef SCHROOT_USER
  include debian/buildd-options.mak
endif

%:
	dh $@ --with=python3 --buildsystem=makefile

.PHONY: calibre_auto_test calibre_auto_install

DEB_DH_GENCONTROL_ARGS = -- -Vpyqt:Version=$(shell dpkg-query -f'$${Version}' -W python3-pyqt5)

export QT_SELECT=qt5

override_dh_auto_configure:
#	# use mathjax source package
	$(SETUP) mathjax --mathjax-url="file://$(CURDIR)/debian/mathjax/3.1.4.tar.gz"
	$(SETUP) liberation_fonts --system-liberation_fonts --path-to-liberation_fonts=/usr/share/fonts/truetype/liberation2

override_dh_auto_build:
#	# Add false-positive info for blhc(1) check
	@echo 'blhc: ignore-line-regexp: \tCompiling form /.+\.ui'
	[ -d build ] || $(SETUP) build

# Invoke "calibre_auto_test" target with automatic "HOME" and "XDG_*" variables.
override_dh_auto_test:
	dh_auto_test -O--buildsystem=makefile -- -f debian/calibre-builder.mak

# "test_ajax_book" fails if previous test is "test_worker" (Closes: #973458)
calibre_auto_test:
	LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC xvfb-run $(SETUP) test $(TEST_FLAGS) --exclude-test-name=ajax_book
	LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC xvfb-run $(SETUP) test --test-name=ajax_book

override_dh_install:
	dh_buildinfo
	dh_install

override_dh_auto_install:
	dh_auto_install -O--buildsystem=makefile -- -f debian/calibre-builder.mak

calibre_auto_install:
	mkdir -p  debian/tmp/usr/share/icons/hicolor
	mkdir -p  debian/tmp/usr/share/applications
	mkdir -p  debian/tmp/usr/share/mime/packages
	mkdir -p  debian/tmp/usr/share/zsh/vendor-completions
	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C XDG_DATA_DIRS=$(CURDIR)/debian/tmp/usr/share CALIBRE_CONFIG_DIRECTORY=debian/tmp/config $(SETUP) install --root=debian/tmp/usr
#
#	# not needed
	rm debian/tmp/usr/share/calibre/calibre-portable.*
	rm debian/tmp/usr/lib/python*/site-packages/init_calibre.py
	rmdir debian/tmp/usr/share/desktop-directories
#
#	# do not install developer's script
	rm debian/tmp/usr/lib/calibre/calibre/devices/mtp/unix/upstream/update.py
#	# Debian package "python3-tinycss" doesn't installs test code
	rm debian/tmp/usr/lib/calibre/tinycss/tests/*.py
#
# 	# Replace "python" to "python3" in shebang
	find debian/tmp/usr/lib/calibre debian/tmp/usr/share/calibre -name '*.py' -print | xargs --no-run-if-empty sed --separate --file=debian/fix-python-shebang.sed --in-place

override_dh_installman:
	debian/install-manpages.sh

override_dh_auto_clean:
	[ ! -d build ] || $(SETUP) build -c
	$(SETUP) mathjax --clean
	$(SETUP) liberation_fonts --clean
	py3clean setup src

override_dh_gencontrol:
	dh_gencontrol $(DEB_DH_GENCONTROL_ARGS)

# No need to touch "calibre-bin".
override_dh_python3:
	dh_python3 --no-package=calibre-bin --shebang=$(PYTHON_PATH)

## calibre 5.29.0+dfsg

=== debian/changelog ===
calibre (5.29.0+dfsg-1) unstable; urgency=medium

  * New upstream version 5.29.0+dfsg
  * Update patch queue

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 08 Oct 2021 13:24:09 +0900

calibre (5.28.0+dfsg-1) unstable; urgency=medium

  * New upstream version 5.28.0+dfsg
  * Update patch queue
  * Lintian fix

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 24 Sep 2021 20:17:20 +0900

calibre (5.27.0+dfsg-1) unstable; urgency=medium

  * New upstream version 5.27.0+dfsg
  * Update patch queue
  * Qt outputs some warnings to stderr if XDG_RUNTIME_DIR is not set
  * Cosmetic fix for output text

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 10 Sep 2021 15:15:35 +0900

calibre (5.26.0+dfsg-4) unstable; urgency=medium

  * AppStream hints fix
    asv-metainfo-localized-description-tag:
    A <description/> tag must not be localized in metainfo files (upstream
    metadata). Localize the individual paragraphs instead.
  * Lintian fix

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 04 Sep 2021 15:26:30 +0900

calibre (5.26.0+dfsg-3) unstable; urgency=medium

  * Remove redundant python 3 maintenance scripts (Closes: #993524)
    These are already done by "dh_python3".
  * Remove empty maintenance script
  * Remove old maintenance script
  * Remove empty maintenance script

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 03 Sep 2021 12:42:32 +0900

calibre (5.26.0+dfsg-2) unstable; urgency=medium

  * Update "xvfb-run" usage in test code

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 27 Aug 2021 23:58:49 +0900

calibre (5.26.0+dfsg-1) unstable; urgency=medium

  * Add another ignore line for blhc(1)
    Those lines are stored to "build/pyqt/*/build/*/Makefile" .
  * Add manual pages to allow Debian standards 4.6.0
  * Separate fragile tests
  * New upstream version 5.26.0+dfsg
  * Update patch queue
  * Add and update manual pages
  * Typo fix
  * Xvfb is only needed for GUI tests

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 27 Aug 2021 15:41:58 +0900

calibre (5.25.0+dfsg-3) unstable; urgency=medium

  * "which" is deprecated and use "command -v"
    "which" is deprecated since "debianutils" 5.0 .
  * Don't apply autopkgtest for non-buildable architectures
  * Lintian fix

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 24 Aug 2021 09:53:13 +0900

calibre (5.25.0+dfsg-2) unstable; urgency=medium

  * Revert "Tell current Git branch to vcswatch"
    Debian 11.0 was released
    This reverts commit 26887170315bbb44f3c58ff88ad4318a7ba3fb1d.
  * Upload to unstable

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 16 Aug 2021 21:16:02 +0900

=== debian/control ===
--- 
+++ 
@@ -81,10 +81,10 @@
  Martin Pitt <mpitt@debian.org>,
  Nicholas D Steeves <nsteeves@gmail.com>,
  YOKOTA Hiroshi <yokota.hgml@gmail.com>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://calibre-ebook.com
 Vcs-Browser: https://github.com/debian-calibre/calibre
-Vcs-Git: https://github.com/debian-calibre/calibre.git -b experimental
+Vcs-Git: https://github.com/debian-calibre/calibre.git
 Rules-Requires-Root: no
 X-Python3-Version: 3.9

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # building with python3
 PYTHON=$(shell py3versions -r 3.9)
-PYTHON_PATH=$(shell which $(PYTHON))
+PYTHON_PATH=$(shell command -v $(PYTHON))
 SETUP=$(PYTHON) setup.py
 
 # build options
@@ -34,16 +34,19 @@
 override_dh_auto_build:
 #	# Add false-positive info for blhc(1) check
 	@echo 'blhc: ignore-line-regexp: \tCompiling form /.+\.ui'
+	@echo 'blhc: ignore-line-regexp: .+ -dM -E -o moc_predefs\.h /usr/lib/[^/]+/qt5/mkspecs/features/data/dummy\.cpp'
 	[ -d build ] || $(SETUP) build
 
 # Invoke "calibre_auto_test" target with automatic "HOME" and "XDG_*" variables.
 override_dh_auto_test:
 	dh_auto_test -O--buildsystem=makefile -- -f debian/calibre-builder.mak
 
-# "test_ajax_book" fails if previous test is "test_worker" (Closes: #973458)
+# "test_ajax_book" fails if previous test is "test_workers" (Closes: #973458)
 calibre_auto_test:
-	LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC xvfb-run $(SETUP) test $(TEST_FLAGS) --exclude-test-name=ajax_book
-	LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC xvfb-run $(SETUP) test --test-name=ajax_book
+	LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC xvfb-run --auto-servernum $(SETUP) test $(TEST_FLAGS) --exclude-test-name=ajax_book --exclude-test-name=workers --exclude-test-name=qt
+	LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC xvfb-run --auto-servernum $(SETUP) test --test-name=ajax_book $(TEST_FLAGS)
+	LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC xvfb-run --auto-servernum $(SETUP) test --test-name=workers   $(TEST_FLAGS)
+	LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC xvfb-run --auto-servernum $(SETUP) test --test-name=qt        $(TEST_FLAGS)
 
 override_dh_install:
 	dh_buildinfo

=== debian/tests/control ===
# -*- mode: conf -*-

# smoke test
Features: test-name=smoke-calibre
Architecture: amd64, arm64, armhf, i386, mips64el, mipsel
Test-Command: calibre --version
Restrictions: superficial

Features: test-name=smoke-ebook-convert
Architecture: amd64, arm64, armhf, i386, mips64el, mipsel
Test-Command: ebook-convert --version
Restrictions: superficial

Features: test-name=smoke-ebook-meta
Architecture: amd64, arm64, armhf, i386, mips64el, mipsel
Test-Command: ebook-meta --version
Restrictions: superficial

Features: test-name=smoke-ebook-polish
Architecture: amd64, arm64, armhf, i386, mips64el, mipsel
Test-Command: ebook-polish --version
Restrictions: superficial

# Format conversion test
Tests: convert-md-epub.sh
Architecture: amd64, arm64, armhf, i386, mips64el, mipsel
Depends: @, epubcheck, default-jre

## calibre 5.30.0+dfsg

=== debian/changelog ===
calibre (5.30.0+dfsg-1) unstable; urgency=medium

  * New upstream version 5.30.0+dfsg
  * Update patch queue
  * Add Debian specific SIP path
  * Drop sip-tools from Build-Depends list.
    Calibre now uses "python3-sipbuild" to build

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 23 Oct 2021 20:16:44 +0900

## calibre 5.31.1+dfsg

=== debian/changelog ===
calibre (5.31.1+dfsg-1) unstable; urgency=medium

  * Typo fix
  * New upstream version 5.31.1+dfsg
  * Update patch queue

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 29 Oct 2021 20:09:04 +0900

=== debian/control ===
--- 
+++ 
@@ -72,7 +72,6 @@
  qtbase5-dev (>= 5.12),
  qtbase5-private-dev,
  qtchooser,
- sip-tools,
  xauth,
  xdg-utils,
  xvfb,

## calibre 5.32.0+dfsg

=== debian/changelog ===
calibre (5.32.0+dfsg-1) unstable; urgency=medium

  * Extend thread wait time to pass test
  * New upstream version 5.32.0+dfsg
  * Update patch queue
  * Remove source path name from pyuic5 outputs.
    This is needed for reproducible build
  * Sort file names for reproducible build
  * Rediff patches
  * Restrict regexp replace pattern
  * Cosmetic fix

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 13 Nov 2021 11:47:24 +0900

calibre (5.31.1+dfsg-3) unstable; urgency=medium

  * Sort object lists for reproducible build

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 08 Nov 2021 22:50:54 +0900

calibre (5.31.1+dfsg-2) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Update my email address.

  [ YOKOTA Hiroshi ]
  * Update Lintian overrides

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 05 Nov 2021 02:48:26 +0900

=== debian/control ===
--- 
+++ 
@@ -78,7 +78,7 @@
 Maintainer: Calibre maintainer team <team+calibre@tracker.debian.org>
 Uploaders: Norbert Preining <norbert@preining.info>,
  Martin Pitt <mpitt@debian.org>,
- Nicholas D Steeves <nsteeves@gmail.com>,
+ Nicholas D Steeves <sten@debian.org>,
  YOKOTA Hiroshi <yokota.hgml@gmail.com>
 Standards-Version: 4.6.0
 Homepage: https://calibre-ebook.com

=== debian/rules ===
--- 
+++ 
@@ -74,6 +74,9 @@
 #
 # 	# Replace "python" to "python3" in shebang
 	find debian/tmp/usr/lib/calibre debian/tmp/usr/share/calibre -name '*.py' -print | xargs --no-run-if-empty sed --separate --file=debian/fix-python-shebang.sed --in-place
+#
+#	# Remove source path name from pyuic5 outputs
+	find debian/tmp/usr/lib/calibre/calibre/gui2 -name '*_ui.py' -print | xargs --no-run-if-empty sed --separate --file=debian/remove-ui-basepath.sed --in-place
 
 override_dh_installman:
 	debian/install-manpages.sh

## calibre 5.33.0+dfsg

=== debian/changelog ===
calibre (5.33.0+dfsg-1) unstable; urgency=medium

  * New upstream version 5.33.0+dfsg
  * Update patch queue
  * Update installation files list

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 04 Dec 2021 08:48:46 +0900

calibre (5.32.0+dfsg-2) unstable; urgency=medium

  * Fix PyQt SIP API version mismatch.
    See also Debian bug 997894 .
  * Support other Debian builders.
    If ".git" directory is not exist, use builder settings.
    Use upstream code to use CI environment.
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 20 Nov 2021 00:31:34 +0900

## calibre 5.33.2+dfsg

=== debian/changelog ===
calibre (5.33.2+dfsg-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add minimum version of python3-html5-parser required.
  * Just a note--builds in pbuilder fail due to a dbus problem in tests; bare metal
    works. Tests can be disabled for cross-compiles in pbuilder.
  * Make python3-unrardll an explicit dependency instead of suggested.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 08 Dec 2021 15:28:25 -0800

calibre (5.33.2+dfsg-1) unstable; urgency=medium

  * New upstream version 5.33.2+dfsg
  * Update patch queue

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 04 Dec 2021 20:28:17 +0900

=== debian/control ===
Source: calibre
Section: text
Priority: optional
Build-Depends: curl,
               debhelper-compat (= 13),
               dh-buildinfo,
               dh-python,
               fonts-liberation2,
               imagemagick,
               libboost-dev,
               libchm-dev,
               libegl1-mesa-dev,
               libhunspell-dev,
               libhyphen-dev,
               libicu-dev,
               libjpeg-turbo-progs,
               libjxr-tools,
               libmagickwand-dev,
               libmtdev-dev [linux-any],
               libmtp-dev (>= 1.1.5),
               libpodofo-dev (>= 0.8.2),
               libqt5svg5-dev,
               libsqlite3-dev,
               libstemmer-dev,
               libudev-dev [linux-any],
               libusb-1.0-0-dev,
               optipng,
               poppler-utils (>= 0.85.0),
               pyqt5-dev (>= 5.15.0+dfsg-1+exp1~),
               pyqt5-dev-tools,
               python3,
               python3-apsw,
               python3-bs4,
               python3-chardet,
               python3-chm,
               python3-css-parser,
               python3-cssselect,
               python3-cssutils,
               python3-dateutil,
               python3-dev,
               python3-feedparser,
               python3-html2text,
               python3-html5-parser (>= 0.4.10),
               python3-pyqtbuild,,
               python3-html5lib,
               python3-ipython,
               python3-jeepney,
               python3-lxml,
               python3-markdown,
               python3-mechanize,
               python3-msgpack,
               python3-netifaces,
               python3-openssl,
               python3-pil,
               python3-pkg-resources,
               python3-psutil,
               python3-py7zr,
               python3-pygments,
               python3-pyparsing,
               python3-pyqt5,
               python3-pyqt5.qtsvg,
               python3-pyqt5.qtwebengine (>= 5.12.1-4+b1),
               python3-pyqtbuild,
               python3-regex,
               python3-routes,
               python3-setuptools,
               python3-sgmllib3k,
               python3-sipbuild,
               python3-speechd,
               python3-zeroconf,
               qt5-image-formats-plugins,
               qt5-qmake,
               qtbase5-dev (>= 5.12),
               qtbase5-private-dev,
               qtchooser,
               xauth,
               xdg-utils,
               xvfb
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Calibre maintainer team <team+calibre@tracker.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Martin Pitt <mpitt@debian.org>,
           Nicholas D Steeves <sten@debian.org>,
           YOKOTA Hiroshi <yokota.hgml@gmail.com>
Standards-Version: 4.6.0
Homepage: https://calibre-ebook.com
Vcs-Browser: https://github.com/debian-calibre/calibre
Vcs-Git: https://github.com/debian-calibre/calibre.git
Rules-Requires-Root: no
X-Python3-Version: 3.9

Package: calibre
Architecture: all
Pre-Depends: dpkg (>= 1.17.14)
Depends: calibre-bin (>= ${source:Version}),
         fonts-liberation2,
         imagemagick,
         libjpeg-turbo-progs,
         libjxr-tools,
         optipng,
         poppler-utils (>= 0.85.0),
         python3-apsw,
         python3-bs4,
         python3-chardet,
         python3-chm,
         python3-css-parser,
         python3-cssselect,
         python3-cssutils,
         python3-dateutil,
         python3-feedparser,
         python3-html2text,
         python3-html5-parser (>= 0.4.10),
         python3-pyqtbuild,,
         python3-html5lib,
         python3-jeepney,
         python3-lxml,
         python3-markdown,
         python3-mechanize,
         python3-msgpack,
         python3-netifaces,
         python3-pil,
         python3-pkg-resources,
         python3-py7zr,
         python3-pygments,
         python3-pyparsing,
         python3-pyqt5 (>= ${pyqt:Version}),
         python3-pyqt5.qtsvg,
         python3-pyqt5.qtwebengine (>= 5.12.1-4+b1),
         python3-pyqt5.sip (>= 12.8),
         python3-regex,
         python3-routes,
         python3-sgmllib3k,
         python3-speechd,
         python3-unrardll,
         python3-zeroconf,
         xdg-utils,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-dnspython (>= 1.6.0), python3-ipython, udisks2
Suggests: python3-openssl
Description: powerful and easy to use e-book manager
 Calibre is a complete e-library solution. It includes library management,
 format conversion, news feeds to e-book conversion, e-book viewer and editor,
 and e-book reader sync features.
 .
 Calibre is primarily an e-book cataloging program. It manages your e-book
 collection for you. It is designed around the concept of the logical book,
 i.e. a single entry in the database that may correspond to e-books in several
 formats. It also supports conversion to and from a dozen different e-book
 formats.
 .
 Calibre supports almost every single e-Reader (e.g., Kindle, Kobo, Nook) and
 is compatible with more devices with every update. Calibre can transfer your
 e-books from one device to another in seconds, wirelessly or with a cable.
 It will send the best file format for your device converting it if
 needed, automatically.
 .
 Calibre can automatically fetch news from a number of websites/RSS feeds,
 format the news into a e-book and upload to a connected device.
 .
 Calibre has also a built-in e-book viewer that can display all the major e-book
 formats.

Package: calibre-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: calibre (>= ${source:Version}), qt5-image-formats-plugins
Description: powerful and easy to use e-book manager (binary plugins)
 Calibre is a complete e-library solution. It includes library management,
 format conversion, news feeds to e-book conversion, e-book viewer and editor,
 and e-book reader sync features.
 .
 This package contains the compiled architecture dependent plugins, the main
 package is called 'calibre'.

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,12 @@
 
 # Do all test by default
 TEST_FLAGS =
+CI_ENV =
 
 # Disable some test when in package builder environment
-ifdef SCHROOT_USER
+ifeq ($(wildcard .git),)
   include debian/buildd-options.mak
+  CI_ENV += CI=true
 endif
 
 %:
@@ -39,14 +41,14 @@
 
 # Invoke "calibre_auto_test" target with automatic "HOME" and "XDG_*" variables.
 override_dh_auto_test:
-	dh_auto_test -O--buildsystem=makefile -- -f debian/calibre-builder.mak
+
 
 # "test_ajax_book" fails if previous test is "test_workers" (Closes: #973458)
 calibre_auto_test:
-	LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC xvfb-run --auto-servernum $(SETUP) test $(TEST_FLAGS) --exclude-test-name=ajax_book --exclude-test-name=workers --exclude-test-name=qt
-	LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC xvfb-run --auto-servernum $(SETUP) test --test-name=ajax_book $(TEST_FLAGS)
-	LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC xvfb-run --auto-servernum $(SETUP) test --test-name=workers   $(TEST_FLAGS)
-	LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC xvfb-run --auto-servernum $(SETUP) test --test-name=qt        $(TEST_FLAGS)
+	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC $(CI_ENV) xvfb-run --auto-servernum $(SETUP) test $(TEST_FLAGS) --exclude-test-name=ajax_book --exclude-test-name=workers --exclude-test-name=qt
+	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC $(CI_ENV) xvfb-run --auto-servernum $(SETUP) test --test-name=ajax_book $(TEST_FLAGS)
+	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC $(CI_ENV) xvfb-run --auto-servernum $(SETUP) test --test-name=workers   $(TEST_FLAGS)
+	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC $(CI_ENV) xvfb-run --auto-servernum $(SETUP) test --test-name=qt        $(TEST_FLAGS)
 
 override_dh_install:
 	dh_buildinfo
@@ -93,3 +95,7 @@
 # No need to touch "calibre-bin".
 override_dh_python3:
 	dh_python3 --no-package=calibre-bin --shebang=$(PYTHON_PATH)
+
+# MX don't need no stinkin' dbgsyms
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## calibre 5.34.0+dfsg

=== debian/changelog ===
calibre (5.34.0+dfsg-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * All recommended and suggested packages made explicit dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 04 Jan 2022 15:34:30 -0800

calibre (5.34.0+dfsg-1) unstable; urgency=medium

  * New upstream version 5.34.0+dfsg
  * Update patch queue
  * Fix path used to init_calibre module installation

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 18 Dec 2021 02:03:20 +0900

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,6 @@
                python3-feedparser,
                python3-html2text,
                python3-html5-parser (>= 0.4.10),
-               python3-pyqtbuild,,
                python3-html5lib,
                python3-ipython,
                python3-jeepney,
@@ -64,7 +63,6 @@
                python3-regex,
                python3-routes,
                python3-setuptools,
-               python3-sgmllib3k,
                python3-sipbuild,
                python3-speechd,
                python3-zeroconf,
@@ -109,8 +107,7 @@
          python3-dateutil,
          python3-feedparser,
          python3-html2text,
-         python3-html5-parser (>= 0.4.10),
-         python3-pyqtbuild,,
+         python3-html5-parser,
          python3-html5lib,
          python3-jeepney,
          python3-lxml,
@@ -129,15 +126,12 @@
          python3-pyqt5.sip (>= 12.8),
          python3-regex,
          python3-routes,
-         python3-sgmllib3k,
          python3-speechd,
-         python3-unrardll,
          python3-zeroconf,
          xdg-utils,
          ${misc:Depends},
-         ${python3:Depends}
-Recommends: python3-dnspython (>= 1.6.0), python3-ipython, udisks2
-Suggests: python3-openssl
+         python3-dnspython (>= 1.6.0), python3-ipython, udisks2,
+         python3-openssl, python3-unrardll
 Description: powerful and easy to use e-book manager
  Calibre is a complete e-library solution. It includes library management,
  format conversion, news feeds to e-book conversion, e-book viewer and editor,

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all reproducible=+all
 
 
-# Do all test by default
-TEST_FLAGS =
-CI_ENV =
+override_dh_auto_test:
 
 # Disable some test when in package builder environment
 ifeq ($(wildcard .git),)
@@ -38,9 +36,6 @@
 	@echo 'blhc: ignore-line-regexp: \tCompiling form /.+\.ui'
 	@echo 'blhc: ignore-line-regexp: .+ -dM -E -o moc_predefs\.h /usr/lib/[^/]+/qt5/mkspecs/features/data/dummy\.cpp'
 	[ -d build ] || $(SETUP) build
-
-# Invoke "calibre_auto_test" target with automatic "HOME" and "XDG_*" variables.
-override_dh_auto_test:
 
 
 # "test_ajax_book" fails if previous test is "test_workers" (Closes: #973458)

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,3 @@
-# -*- mode: conf -*-
-
-# smoke test
 Features: test-name=smoke-calibre
 Architecture: amd64, arm64, armhf, i386, mips64el, mipsel
 Test-Command: calibre --version
@@ -21,7 +18,6 @@
 Test-Command: ebook-polish --version
 Restrictions: superficial
 
-# Format conversion test
 Tests: convert-md-epub.sh
 Architecture: amd64, arm64, armhf, i386, mips64el, mipsel
-Depends: @, epubcheck, default-jre
+Depends: default-jre, epubcheck, @

## calibre 5.35.0+dfsg

=== debian/changelog ===
calibre (5.35.0+dfsg-1) unstable; urgency=medium

  * New upstream version 5.35.0+dfsg
  * Update patch queue
  * Renumber patch queue

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 21 Jan 2022 20:54:08 +0900

=== debian/control ===
Source: calibre
Section: text
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 curl,
 dh-buildinfo,
 dh-python,
 fonts-liberation2,
 imagemagick,
 libboost-dev,
 libchm-dev,
 libegl1-mesa-dev,
 libhunspell-dev,
 libhyphen-dev,
 libicu-dev,
 libjpeg-turbo-progs,
 libjxr-tools,
 libmagickwand-dev,
 libmtdev-dev [linux-any],
 libmtp-dev (>= 1.1.5),
 libpodofo-dev (>= 0.8.2),
 libqt5svg5-dev,
 libsqlite3-dev,
 libstemmer-dev,
 libudev-dev [linux-any],
 libusb-1.0-0-dev,
 optipng,
 poppler-utils (>= 0.85.0),
 pyqt5-dev (>= 5.15.0+dfsg-1+exp1~),
 pyqt5-dev-tools,
 python3,
 python3-apsw,
 python3-bs4,
 python3-chardet,
 python3-chm,
 python3-css-parser,
 python3-cssselect,
 python3-cssutils,
 python3-dateutil,
 python3-dev,
 python3-feedparser,
 python3-html2text,
 python3-html5-parser,
 python3-html5lib,
 python3-ipython,
 python3-jeepney,
 python3-lxml,
 python3-markdown,
 python3-mechanize,
 python3-msgpack,
 python3-netifaces,
 python3-openssl,
 python3-pil,
 python3-pkg-resources,
 python3-psutil,
 python3-py7zr,
 python3-pygments,
 python3-pyparsing,
 python3-pyqt5,
 python3-pyqt5.qtsvg,
 python3-pyqt5.qtwebengine (>= 5.12.1-4+b1),
 python3-pyqtbuild,
 python3-regex,
 python3-routes,
 python3-setuptools,
 python3-sipbuild,
 python3-speechd,
 python3-zeroconf,
 qt5-image-formats-plugins,
 qt5-qmake,
 qtbase5-dev (>= 5.12),
 qtbase5-private-dev,
 qtchooser,
 xauth,
 xdg-utils,
 xvfb,
Maintainer: Calibre maintainer team <team+calibre@tracker.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
 Martin Pitt <mpitt@debian.org>,
 Nicholas D Steeves <sten@debian.org>,
 YOKOTA Hiroshi <yokota.hgml@gmail.com>
Standards-Version: 4.6.0
Homepage: https://calibre-ebook.com
Vcs-Browser: https://github.com/debian-calibre/calibre
Vcs-Git: https://github.com/debian-calibre/calibre.git
Rules-Requires-Root: no
X-Python3-Version: 3.9

Package: calibre
Architecture: all
Pre-Depends: dpkg (>= 1.17.14)
Depends: calibre-bin (>= ${source:Version}), ${misc:Depends},
 fonts-liberation2,
 imagemagick,
 libjpeg-turbo-progs,
 libjxr-tools,
 optipng,
 poppler-utils (>= 0.85.0),
 ${python3:Depends},
 python3-apsw,
 python3-bs4,
 python3-chardet,
 python3-chm,
 python3-css-parser,
 python3-cssselect,
 python3-cssutils,
 python3-dateutil,
 python3-feedparser,
 python3-html2text,
 python3-html5-parser,
 python3-html5lib,
 python3-jeepney,
 python3-lxml,
 python3-markdown,
 python3-mechanize,
 python3-msgpack,
 python3-netifaces,
 python3-pil,
 python3-pkg-resources,
 python3-py7zr,
 python3-pygments,
 python3-pyparsing,
 python3-pyqt5 (>= ${pyqt:Version}),
 python3-pyqt5.qtsvg,
 python3-pyqt5.qtwebengine (>= 5.12.1-4+b1),
 python3-pyqt5.sip (>= 12.9),
 python3-regex,
 python3-routes,
 python3-speechd,
 python3-zeroconf,
 xdg-utils,
Recommends: python3-dnspython (>= 1.6.0), udisks2,
 python3-ipython,
Suggests: python3-openssl, python3-unrardll
Description: powerful and easy to use e-book manager
 Calibre is a complete e-library solution. It includes library management,
 format conversion, news feeds to e-book conversion, e-book viewer and editor,
 and e-book reader sync features.
 .
 Calibre is primarily an e-book cataloging program. It manages your e-book
 collection for you. It is designed around the concept of the logical book,
 i.e. a single entry in the database that may correspond to e-books in several
 formats. It also supports conversion to and from a dozen different e-book
 formats.
 .
 Calibre supports almost every single e-Reader (e.g., Kindle, Kobo, Nook) and
 is compatible with more devices with every update. Calibre can transfer your
 e-books from one device to another in seconds, wirelessly or with a cable.
 It will send the best file format for your device converting it if
 needed, automatically.
 .
 Calibre can automatically fetch news from a number of websites/RSS feeds,
 format the news into a e-book and upload to a connected device.
 .
 Calibre has also a built-in e-book viewer that can display all the major e-book
 formats.

Package: calibre-bin
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
Recommends: calibre (>= ${source:Version}),
 qt5-image-formats-plugins,
Description: powerful and easy to use e-book manager (binary plugins)
 Calibre is a complete e-library solution. It includes library management,
 format conversion, news feeds to e-book conversion, e-book viewer and editor,
 and e-book reader sync features.
 .
 This package contains the compiled architecture dependent plugins, the main
 package is called 'calibre'.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,9 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all reproducible=+all
 
 
-override_dh_auto_test:
+# Do all test by default
+TEST_FLAGS =
+CI_ENV =
 
 # Disable some test when in package builder environment
 ifeq ($(wildcard .git),)
@@ -37,6 +39,9 @@
 	@echo 'blhc: ignore-line-regexp: .+ -dM -E -o moc_predefs\.h /usr/lib/[^/]+/qt5/mkspecs/features/data/dummy\.cpp'
 	[ -d build ] || $(SETUP) build
 
+# Invoke "calibre_auto_test" target with automatic "HOME" and "XDG_*" variables.
+override_dh_auto_test:
+	dh_auto_test -O--buildsystem=makefile -- -f debian/calibre-builder.mak
 
 # "test_ajax_book" fails if previous test is "test_workers" (Closes: #973458)
 calibre_auto_test:
@@ -90,7 +95,3 @@
 # No need to touch "calibre-bin".
 override_dh_python3:
 	dh_python3 --no-package=calibre-bin --shebang=$(PYTHON_PATH)
-
-# MX don't need no stinkin' dbgsyms
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## calibre 5.37.0+dfsg

=== src/perfect-hashing/frozen/CMakeLists.txt ===
target_sources(frozen-headers INTERFACE
  "${prefix}/frozen/algorithm.h"
  "${prefix}/frozen/map.h"
  "${prefix}/frozen/random.h"
  "${prefix}/frozen/set.h"
  "${prefix}/frozen/string.h"
  "${prefix}/frozen/unordered_map.h"
  "${prefix}/frozen/unordered_set.h"
  "${prefix}/frozen/bits/algorithms.h"
  "${prefix}/frozen/bits/basic_types.h"
  "${prefix}/frozen/bits/elsa.h"
  "${prefix}/frozen/bits/pmh.h")

=== debian/changelog ===
calibre (5.37.0+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 19 Mar 2022 21:56:29 +0300

calibre (5.37.0+dfsg-1) unstable; urgency=medium

  * New upstream version 5.37.0+dfsg
  * Update patch queue

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 18 Feb 2022 23:22:02 +0900

calibre (5.36.0+dfsg-1) unstable; urgency=medium

  * Revert "Remove "epubcheck" validation from autopkgtest"
    "epubcheck" is back alive with new maintainer.
    This reverts commit 91fdfc7eaf77976910b4549bea5959db35fa3742.
  * Simplify dependency list
    "epubcheck" now depends on "default-jre"
  * New upstream version 5.36.0+dfsg
  * Update patch queue

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 04 Feb 2022 23:11:57 +0900

calibre (5.35.0+dfsg-3) unstable; urgency=medium

  * Use "py3versions -d" to use versioned Python.
    Import from Ubuntu fixup patch by Graham Inggs <ginggs@ubuntu.com> .

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 26 Jan 2022 22:51:55 +0900

calibre (5.35.0+dfsg-2) unstable; urgency=medium

  * Remove "epubcheck" validation from autopkgtest
    "epubcheck" is removed from Debian testing because of its RC bugs.

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 26 Jan 2022 08:43:12 +0900

=== debian/control ===
--- 
+++ 
@@ -85,7 +85,6 @@
 Vcs-Browser: https://github.com/debian-calibre/calibre
 Vcs-Git: https://github.com/debian-calibre/calibre.git
 Rules-Requires-Root: no
-X-Python3-Version: 3.9
 
 Package: calibre
 Architecture: all

=== debian/tests/control ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# -*- mode: conf -*-
+
+# smoke test
 Features: test-name=smoke-calibre
 Architecture: amd64, arm64, armhf, i386, mips64el, mipsel
 Test-Command: calibre --version
@@ -18,6 +21,7 @@
 Test-Command: ebook-polish --version
 Restrictions: superficial
 
+# Format conversion test
 Tests: convert-md-epub.sh
 Architecture: amd64, arm64, armhf, i386, mips64el, mipsel
-Depends: default-jre, epubcheck, @
+Depends: @, epubcheck

=== debian/watch ===
# -*- mode: conf -*-
# watch control file for uscan
# see uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

opts="pgpmode=next, \
      dversionmangle=s!\+dfsg!!, \
      oversionmangle=s!(.+)!$1+dfsg!" \
  https://github.com/kovidgoyal/@PACKAGE@/releases \
  /kovidgoyal/@PACKAGE@/releases/download/v(\d+\.\d+\.\d+)/@PACKAGE@-\g1\.tar\.xz
opts="pgpmode=previous" \
  https://calibre-ebook.com/signatures/ \
  @PACKAGE@-(\d+\.\d+\.\d+)\.tar\.xz\.sig previous

## calibre 5.41.0+dfsg

=== debian/changelog ===
calibre (5.41.0+dfsg-2) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Calibre >= 5.40 FTBFS due to failed tests with html5-parser 0.4.9, so
    qualify the python3-html5-parser dep with (>=0.4.10-1~).

  [ YOKOTA Hiroshi ]
  * Disable failed PyQt test on MIPS and MIPS64 (Closes: #1010185).

 -- Nicholas D Steeves <sten@debian.org>  Mon, 25 Apr 2022 20:27:04 -0400

calibre (5.41.0+dfsg-1) unstable; urgency=medium

  * Update changelog
  * New upstream version 5.41.0+dfsg
  * Rediff patches
  * ImageMagick is unused since Calibre 2.57.0.
    ImageMagick was replaced by Qt image library.
    Other image helper programs are described in src/calibre/utils/img.py .

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 22 Apr 2022 20:53:51 +0900

calibre (5.40.0+dfsg-2) unstable; urgency=medium

  * Drop unused dependency package to avoid RC bug 1009469
    python3-cssutils is replaced by python3-css-parser since Calibre 3.37.0

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 21 Apr 2022 01:34:34 +0900

calibre (5.40.0+dfsg-1) unstable; urgency=medium

  * New upstream version 5.40.0+dfsg
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 01 Apr 2022 20:54:26 +0900

calibre (5.39.1+dfsg-2) unstable; urgency=medium

  * Rebuild with Python 3.10

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 29 Mar 2022 21:23:40 +0900

calibre (5.39.1+dfsg-1) unstable; urgency=medium

  * New upstream version 5.39.1+dfsg
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 21 Mar 2022 01:21:46 +0900

calibre (5.39.0+dfsg-1) unstable; urgency=medium

  * New upstream version 5.39.0+dfsg
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 18 Mar 2022 20:51:12 +0900

calibre (5.38.0+dfsg-1) unstable; urgency=medium

  * New upstream version 5.38.0+dfsg
  * Update patch queue

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 05 Mar 2022 00:00:08 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  dh-buildinfo,
  dh-python,
  fonts-liberation2,
- imagemagick,
  libboost-dev,
  libchm-dev,
  libegl1-mesa-dev,
@@ -16,7 +15,6 @@
  libicu-dev,
  libjpeg-turbo-progs,
  libjxr-tools,
- libmagickwand-dev,
  libmtdev-dev [linux-any],
  libmtp-dev (>= 1.1.5),
  libpodofo-dev (>= 0.8.2),
@@ -36,12 +34,11 @@
  python3-chm,
  python3-css-parser,
  python3-cssselect,
- python3-cssutils,
  python3-dateutil,
  python3-dev,
  python3-feedparser,
  python3-html2text,
- python3-html5-parser,
+ python3-html5-parser (>=0.4.10-1~),
  python3-html5lib,
  python3-ipython,
  python3-jeepney,
@@ -91,7 +88,6 @@
 Pre-Depends: dpkg (>= 1.17.14)
 Depends: calibre-bin (>= ${source:Version}), ${misc:Depends},
  fonts-liberation2,
- imagemagick,
  libjpeg-turbo-progs,
  libjxr-tools,
  optipng,
@@ -103,7 +99,6 @@
  python3-chm,
  python3-css-parser,
  python3-cssselect,
- python3-cssutils,
  python3-dateutil,
  python3-feedparser,
  python3-html2text,

## calibre 5.42.0+dfsg

=== debian/changelog ===
calibre (5.42.0+dfsg-1build1) kinetic; urgency=medium

  * No-change rebuild against libpodofo0.9.8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 17 May 2022 17:02:20 +0000

calibre (5.42.0+dfsg-1) unstable; urgency=medium

  [ uvok cheetah and Nicholas D Steeves ]
  * Specify version of python3-feedparser.  Depend on version 6.0.8-1~ (sid
    or backports).

  [ Nicholas D Steeves ]
  * Fulfill Norbert Preining's request to be dropped from Uploaders, and make
    YOKOTA Hiroshi the primary Uploader.

  [ YOKOTA Hiroshi ]
  * New upstream version 5.42.0+dfsg
  * Rediff patches
  * Typo fix
  * Python 3.10+ support for Lintian overrides
  * Update Lintian overrides
  * Update Lintian overrides for source code
  * Rediff patches.
    Drop 0006-BTS-944875-html_writer.patch:
     This patch is obsolete.
     QWebEngineProfile::setUrlRequestInterceptor() is available since Qt 5.13.
     Current stable distribution "bullseye" uses Qt 5.15.2.
  * Renumber patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 04 May 2022 02:08:43 +0900

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
  python3-cssselect,
  python3-dateutil,
  python3-dev,
- python3-feedparser,
+ python3-feedparser (>= 6.0.8-1~),
  python3-html2text,
  python3-html5-parser (>=0.4.10-1~),
  python3-html5lib,
@@ -72,11 +72,11 @@
  xauth,
  xdg-utils,
  xvfb,
-Maintainer: Calibre maintainer team <team+calibre@tracker.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Calibre maintainer team <team+calibre@tracker.debian.org>
+Uploaders: YOKOTA Hiroshi <yokota.hgml@gmail.com>,
  Martin Pitt <mpitt@debian.org>,
  Nicholas D Steeves <sten@debian.org>,
- YOKOTA Hiroshi <yokota.hgml@gmail.com>
 Standards-Version: 4.6.0
 Homepage: https://calibre-ebook.com
 Vcs-Browser: https://github.com/debian-calibre/calibre

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # building with python3
-PYTHON=$(shell py3versions -r 3.9)
+PYTHON=$(shell py3versions -d)
 PYTHON_PATH=$(shell command -v $(PYTHON))
 SETUP=$(PYTHON) setup.py
